Localisation updates from https://translatewiki.net.
[rails.git] / lib / bounding_box.rb
index 1fc5dc6..d1c39f1 100644 (file)
@@ -61,6 +61,7 @@ class BoundingBox
     # check the bbox is sane
     raise OSM::APIBadBoundingBox, "The minimum longitude must be less than the maximum longitude, but it wasn't" if min_lon > max_lon
     raise OSM::APIBadBoundingBox, "The minimum latitude must be less than the maximum latitude, but it wasn't" if min_lat > max_lat
+
     if min_lon < -LON_LIMIT || min_lat < -LAT_LIMIT || max_lon > +LON_LIMIT || max_lat > +LAT_LIMIT
       raise OSM::APIBadBoundingBox, "The latitudes must be between #{-LAT_LIMIT} and #{LAT_LIMIT}," \
                                        " and longitudes between #{-LON_LIMIT} and #{LON_LIMIT}"
@@ -68,7 +69,7 @@ class BoundingBox
     self
   end
 
-  def check_size(max_area = MAX_REQUEST_AREA)
+  def check_size(max_area = Settings.max_request_area)
     # check the bbox isn't too large
     if area > max_area
       raise OSM::APIBadBoundingBox, "The maximum bbox size is " + max_area.to_s +
@@ -157,6 +158,7 @@ class BoundingBox
 
     def from_bbox_array(bbox_array)
       raise OSM::APIBadUserInput, "The parameter bbox is required, and must be of the form min_lon,min_lat,max_lon,max_lat" unless bbox_array
+
       # Take an array of length 4, create a bounding box with min_lon, min_lat, max_lon and
       # max_lat within their respective boundaries.
       min_lon = [[bbox_array[0].to_f, -LON_LIMIT].max, +LON_LIMIT].min